#
# spec file for package python-blessings
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-blessings
Version:        1.6
Release:        1.3
Summary:        A thin, practical wrapper around terminal capabilities in Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/erikrose/blessings
Source:         https://files.pythonhosted.org/packages/source/b/blessings/blessings-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Curses-like terminal wrapper with a display based on compositing 2d
arrays of text.

%prep
%setup -q -n blessings-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%doc LICENSE README.rst

%changelog
* Mon Aug 15 2016 badshah400@gmail.com
- Initial package
